Skip to content

Test access token

Request

Test if an access token can be used for authentication with Ripple APIs and how much time remains on it.

Security
Bearer
curl -i -X GET \
  https://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/oauth/token/test \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

If a valid bearer token is supplied, the time remaining before the token expires is returned.

Bodyapplication/json
Array [
messagestring
Example:"token_ok"
seconds_to_expiryinteger, (int64)

Remaining time in seconds before the tested token expires.

Example:3600
]
Response
[ { "message": "token_ok", "seconds_to_expiry": 3600 } ]